<?php
/**
 * 首页模板
 *
 * @package custom
 */

if (!defined('__TYPECHO_ROOT_DIR__')) exit;
$this->need('header.php');
?>


<main class="site-main">
   <div class="container">
    <div class="row g-3 g-xl-4">
     <div class="col-12 col-lg-8 d-lg-flex">
      <div class="index-slide swiper" id="swiper-1-1">
       <div class="swiper-wrapper">
           
        <div class="swiper-slide">
         <div class="media media-2x1 rounded-1">
          <div class="media-content" style="background-image: url('https://mm.143614.xyz/halo2/udvwqs.png');"></div>
          <div class=" media-overlay overlay-bottom px-2 px-md-4 pb-2 pb-md-3"><div class="h5 text-white h-1x">宝塔面板docker搭建bitwarden密码管理系统</div></div>
         </div> 
         <a href="https://www.vpshu.com/bitwarden.html" title="搭建一个bitwarden密码管理网站" target="_blank" class="slide-goto"></a>
        </div>
        
        <div class="swiper-slide">
         <div class="media media-2x1 rounded-1">
          <div class="media-content" style="background-image: url('https://mm.143614.xyz/halo2/fosluk.png');"></div>
          <div class=" media-overlay overlay-bottom px-2 px-md-4 pb-2 pb-md-3"><div class="h5 text-white h-1x">宝塔面板docker搭建umami网站统计系统</div></div>
         </div> 
         <a href="https://www.vpshu.com/umami.html" title="自建umami网站统计系统" target="_blank" class="slide-goto"></a>
        </div>
        
        <div class="swiper-slide">
         <div class="media media-2x1 rounded-1">
          <div class="media-content" style="background-image: url('https://mm.143614.xyz/halo2/zhcjrd.png');"></div>
          <div class=" media-overlay overlay-bottom px-2 px-md-4 pb-2 pb-md-3"><div class="h5 text-white h-1x">国内+国际可视化管理面板大全</div></div>
         </div> 
         <a href="https://www.vpshu.com/web-control-panel.html" title="可视化管理面板大全" target="_blank" class="slide-goto"></a>
        </div>
        
       </div>
       <div class="swiper-pagination"></div>
      </div> 
      <script>
        jQuery(document).ready(function($) {
            var swiper = new Swiper("#swiper-1-1", {
                slidesPerView: 1,
                spaceBetween: 10,
                loop: true,
                autoplay: {
                    delay: 3000,
                    disableOnInteraction: false,
                },
                pagination: {
                    el: "#swiper-1-1 .swiper-pagination",
                    clickable: true,
                }
            });
        });
    </script>
     </div>
     <div id="1-2" class="col-12 col-lg-4 d-lg-flex">
      <div class="card card-xl flex-fill">
       <div class="card-header">
        <div class="d-flex align-items-center"> 
         <i class="iconfont icon-flag-alt"></i>
         <div class="h4">
          栏目推荐
         </div>
        </div>
       </div>
       <div class="card-body">
        <div class="index-sudoku row list text-center g-2 g-md-2 g-lg-3">
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-videos"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            Photoshop
           </div> 
           <a href="https://liehuo.cc/tag/photoshop/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-flask"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            WordPress
           </div> 
           <a href="https://liehuo.cc/tag/wordpress/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-widget"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            WebDesign
           </div> 
           <a href="https://liehuo.cc/tag/web-pages/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-watch"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            Fonts
           </div> 
           <a href="https://liehuo.cc/tag/fonts/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-whatsapp"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            Logo
           </div> 
           <a href="https://liehuo.cc/tag/logo/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-world"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            Mockups
           </div> 
           <a href="https://liehuo.cc/tag/mockups/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-image"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            UI Deisgn
           </div> 
           <a href="https://liehuo.cc/tag/UI-design/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-joystick"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            Typecho
           </div> 
           <a href="https://liehuo.cc/tag/typecho/" class="list-goto"></a>
          </div>
         </div>
         <div class="col-4 col-md-2 col-lg-4">
          <div class="list-item ">
           <div class="btn btn-link btn-icon btn-md btn-rounded mx-auto mb-2"> 
            <span><i class="iconfont icon-map-alt"></i></span>
           </div>
           <div class="text-sm text-muted h-1x">
            Illustrator
           </div> 
           <a href="https://liehuo.cc/tag/Illustrator/" class="list-goto"></a>
          </div>
         </div>
        </div>
       </div>
      </div>
     </div>
     <div class="col-12">
      <div id="2-1" class="search-block card card-xl">
       <div class="card-body">
        <form role="search" method="get" id="searchform" action="<?php $this->options->siteUrl(); ?>"> 
        <input type="text" placeholder="输入在输入搜索关键词后按回车" class="form-control" name="s" id="s" required="" />
       </form>
       </div>
      </div>
     </div> 
   
    
     
     <div class="col-12">
      <div class="card">
       <div class="card-header">
        <div class="d-flex align-items-center"> 
         <i class="iconfont icon-infinite"></i>
         <div class="h4">
          优秀设计资源
         </div> 
         <a href="https://liehuo.cc/tag/Resource/" target="_blank/" class="btn btn-link btn-xs btn-rounded btn-icon btn-sm ms-auto"><span><i class="iconfont icon-dots-horizontal-roun m-0"></i></span></a>
        </div>
       </div>
       <div class="card-body">
        <div class="row g-2 list-grouped list-overlay">
            
<?php $this->widget('Widget_Archive@indexmovies', 'pageSize=12&type=category', 'mid=5')->to($cmovies); ?>

<?php while($cmovies->next()): ?>            
            
            
         <div class="col-6 col-md-2">
          <div class="list-item custom-hover rounded">
           <div class="media media-4x3">
            <div class="media-content" style="background-image: url('<?php if (array_key_exists('img',unserialize($cmovies->___fields()))): ?><?php $cmovies->fields->img(); ?><?php else: ?>https://img.liehuo.cc/<?php Fimg_Plugin::showfimg($cmovies->cid,1);?><?php endif; ?>');"></div>
           </div>
           <div class="list-content">
            <div class="list-body">
             <div class="list-title h-1x">
              <?php $cmovies->title(); ?>
             </div>
            </div>
           </div> 
           <a href="<?php $cmovies->permalink(); ?>" target="_blank" class="list-goto" title="<?php $cmovies->title(); ?>"></a>
          </div>
         </div>
         
    <?php endwhile; ?>  
        </div>
       </div>
      </div>
     </div>
     
     
     
     
     
     
     <div class="col-12">
      <div class="card">
       <div class="card-header">
        <div class="d-flex align-items-center"> 
         <i class="iconfont icon-joystick-alt"></i>
         <div class="h4">
          经典网页设计
         </div> 
         <a href="https://liehuo.cc/tag/WebDesign/" target="_blank" class="btn btn-link btn-xs btn-rounded btn-icon btn-sm ms-auto"><span><i class="iconfont icon-dots-horizontal-roun m-0"></i></span></a>
        </div>
       </div>
       <div class="card-body">
        <div class="row g-2 list-grouped list-overlay">
            
            <?php $this->widget('Widget_Archive@indexblog', 'pageSize=12&type=category', 'mid=3')->to($cblogs); ?>
<?php while($cblogs->next()): ?>
            
         <div class="col-6 col-md-2">
          <div class="list-item custom-hover rounded">
           <div class="media media-4x3">
            <div class="media-content" style="background-image: url('<?php if (array_key_exists('img',unserialize($cblogs->___fields()))): ?><?php $cblogs->fields->img(); ?><?php else: ?>https://img.liehuo.cc/<?php Fimg_Plugin::showfimg($cblogs->cid,1);?><?php endif; ?>');"></div>
           </div>
           <div class="list-content">
            <div class="list-body">
             <div class="list-title text-sm h-1x">
              <?php $cblogs->title(); ?>
             </div>
            </div>
           </div> 
           <a href="<?php $cblogs->permalink(); ?>" class="list-goto"></a>
          </div>
         </div>
         
         
         <?php endwhile; ?>   
         
         
        </div>
       </div>
      </div>
     </div>
     
     
     
     
     
     <div class="col-12 col-lg-4 d-lg-flex">
      <div class="card card-xl flex-fill">
       <div class="card-header">
        <div class="d-flex align-items-center"> 
         <i class="iconfont icon-anchor"></i>
         <div class="h4">
          焦点互联网
         </div>
        </div>
       </div>
       <div class="card-body">
        <div class="list-number list-row list-bordered">
            <?php $this->widget('Widget_Archive@indexcales', 'pageSize=6&type=category', 'mid=1')->to($calogs); ?>
<?php while($calogs->next()): ?>
         <div class="list-item">
          <div class="list-content">
           <div class="list-body">
            <div class="list-title h-1x">
             <?php $calogs->title(); ?>
            </div>
           </div>
          </div> 
          <a href="<?php $calogs->permalink(); ?>" class="list-goto"></a>
         </div>
         <?php endwhile; ?> 
        </div>
       </div>
      </div>
     </div>
     
     
     
     
     <div class="col-12 col-lg-4 d-lg-flex">
      <div class="card card-xl flex-fill">
       <div class="card-header">
        <div class="d-flex align-items-center"> 
         <i class="iconfont icon-pen"></i>
         <div class="h4">
          技术相关
         </div>
        </div>
       </div>
       <div class="card-body">
        <div class="list-number list-row list-bordered">
            <?php $this->widget('Widget_Archive@indexcalexs', 'pageSize=6&type=category', 'mid=404')->to($calogxs); ?>
<?php while($calogxs->next()): ?>
         <div class="list-item">
          <div class="list-content">
           <div class="list-body">
            <div class="list-title h-1x">
             <?php $calogxs->title(); ?>
            </div>
           </div>
          </div> 
          <a href="<?php $calogxs->permalink(); ?>" class="list-goto"></a>
         </div>
         <?php endwhile; ?> 
        </div>
       </div>
      </div>
     </div>
     
     
     
     <div id="8-3" class="col-12 col-lg-4">
      <div class="card card-xl flex-fill">
       <div class="card-header">
        <div class="d-flex align-items-center"> 
         <i class="iconfont icon-crown"></i>
         <div class="h4">
          相关专题
         </div>
        </div>
       </div>
       <div class="card-body">
        <div class="index-topics row g-2 g-lg-3">
         <div class="col-12 col-md-4 col-lg-12">
          <div class="media media-4x1 rounded custom-hover">
           <div class="media-content" style="background-image: url('https://qd.143614.xyz/halo/marek-piwnicki-yRGSUPl55Ik-unsplash.jpg');"></div>
           <div class="media-overlay">
            <div class="h6 text-white m-auto p-2">
             <div class="h-1x">
              Mockups下载
             </div>
            </div>
           </div> 
           <a href="https://liehuo.cc/search/mockups/" class="media-goto"></a>
          </div>
         </div>
         <div class="col-12 col-md-4 col-lg-12">
          <div class="media media-4x1 rounded custom-hover">
           <div class="media-content" style="background-image: url('https://qd.143614.xyz/halo/markus-spiske-WTWYGDNBGts-unsplash.jpg');"></div>
           <div class="media-overlay">
            <div class="h6 text-white m-auto p-2">
             <div class="h-1x">
              Photoshop教程
             </div>
            </div>
           </div> 
           <a href="https://liehuo.cc/search/photoshop/" class="media-goto"></a>
          </div>
         </div>
         <div class="col-12 col-md-4 col-lg-12">
          <div class="media media-4x1 rounded custom-hover">
           <div class="media-content" style="background-image: url('https://qd.143614.xyz/halo/polina-kuzovkova-XhnJQQz2i9I-unsplash.jpg');"></div>
           <div class="media-overlay">
            <div class="h6 text-white m-auto p-2">
             <div class="h-1x">
              Typecho模板与插件
             </div>
            </div>
           </div> 
           <a href="https://typechx.com" class="media-goto" target="_blank"></a>
          </div>
         </div>
        </div>
       </div>
      </div>
     </div>
     
     
 <div class="col-12">
      <div class="card">
       <div class="card-header">
        <div class="d-flex align-items-center"> 
         <i class="iconfont icon-youtube"></i>
         <div class="h4">
          推荐好站
         </div> 
         <a href="https://liehuo.cc/Goods/" target="_blank" class="btn btn-link btn-xs btn-rounded btn-icon btn-sm ms-auto"><span><i class="iconfont icon-dots-horizontal-roun m-0"></i></span></a>
        </div>
       </div>
       <div class="card-body">
        <div class="row g-2 g-md-3 list-grid list-grid-padding">
            
             <?php $this->widget('Widget_Archive@index', 'pageSize=4&type=category', 'mid=488')->to($contents); ?>
<?php while($contents->next()): ?>
            
         <div class="col-6 col-lg-3">
          <div class="list-item block">
           <div class="media w-36 rounded-circle">
            <div class="media-content" style="background-image: url('<?php $contents->fields->img(); ?>');"></div>
           </div>
           <div class="list-content">
            <div class="list-body">
             <div class="list-title text-md h-1x">
               <?php $contents->title(); ?>
             </div>
             <div class="list-desc text-xx text-muted mt-1">
              <div class="h-1x">
              <?php $contents->fields->txt(); ?>
              </div>
             </div>
            </div>
           </div> 
           <a href="<?php $contents->fields->url(); ?>" target="_blank" class="list-goto" title="<?php $contents->title(); ?>"></a>
          </div>
         </div>
         
 <?php endwhile; ?>        
           
        </div>
       </div>
      </div>
     </div>     
     
    </div>
    
   </div>
  </main>



<?php $this->need('footer.php'); ?>
