<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

 
   <main class="site-main">
    <div class="container">
     <div class="archive-heading"> 
      <i class="iconfont icon-tennis-ball"></i>
      <div class="h1">
       <?php $this->archiveTitle(array(
            'category'  =>  _t('%s'),
            'search'    =>  _t('%s'),
            'tag'       =>  _t('%s'),
            'author'    =>  _t('%s')
        ), '', ''); ?>
      </div>
     
     </div>
     <div class="row g-2 g-md-3 g-xl-4 list-grid list-grid-padding">

        <?php while($this->next()): ?>
        
      <div class="col-6 col-lg-3">
       <div class="list-item block">
        <div class="media w-36 rounded-circle">
         <div class="media-content" style="background-image: url('<?php $this->fields->img(); ?>');"></div>
        </div>
        <div class="list-content">
         <div class="list-body">
          <div class="list-title text-md h-1x">
            <?php $this->title() ?>
          </div>
          <div class="list-desc text-xs text-muted mt-1">
           <div class="h-1x">
            <?php $this->fields->txt(); ?>
           </div>
          </div>
         </div>
        </div> 
        <a href="<?php $this->fields->url(); ?>" target="_blank" class="list-goto" title="<?php $this->title() ?>"></a>
       </div>
      </div>
      
      <?php endwhile; ?>
      
      
      
     </div>

    </div>
   </main>


<?php $this->need('footer.php'); ?>
