<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!DOCTYPE HTML>
<html>
<head>
  <meta charset="UTF-8" /> 
  <meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1" /> 
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <title><?php if ($this->_currentPage > 1) echo '第 ' . $this->_currentPage . ' 页 - '; ?><?php $this->archiveTitle(array(
            'category'  =>  _t('分类 %s 下的文章'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            'tag'       =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ' - '); ?><?php $this->options->title(); ?><?php if ($this->is('index')): ?> -  来自90后的前端爱好者<?php endif; ?></title>

<link rel="apple-touch-icon" href="/Lighthouse/images/mlogo.png">
<link rel="icon" type="image/png" href="/Lighthouse/images/mlogo.png">

  <link rel="stylesheet" href="/Lighthouse/css/jimu.css" type="text/css" media="all" /> 
  <link rel="stylesheet" href="/Lighthouse/css/blocks.css" type="text/css" media="all" /> 
  <link rel="stylesheet" href="/Lighthouse/plugins/bootstrap/bootstrap.min.css" type="text/css" media="all" /> 
  <link rel="stylesheet" href="/Lighthouse/plugins/iconfont/iconfont.css" type="text/css" media="all" /> 
  <link rel="stylesheet" href="/Lighthouse/css/reset.css" type="text/css" media="all" /> 
  <link rel="stylesheet" href="/Lighthouse/styles.css" type="text/css" media="all" /> 
  <link rel="stylesheet" href="/Lighthouse/plugins/swiper/swiper-bundle.min.css" type="text/css" media="all" /> 
  
  <script type="text/javascript" src="/Lighthouse/js/jquery.min.js"></script> 
  <script type="text/javascript" src="/Lighthouse/js/jquery-migrate.min.js"></script> 
  <script type="text/javascript" src="/Lighthouse/plugins/swiper/swiper-bundle.min.js"></script> 




    <?php $this->header('wlw=&xmlrpc=&rss2=&atom=&rss1=&template=&pingback=&generator'); ?>
</head>
<body>
<div class="site-wrapper">
    
    
    
   <aside class="site-aside bg-white">
    <div class="aside-wrapper"> 

     <div class="aside-scroll scrollable hover">
      <ul class="aside-menu">
       <li<?php if ($this->is('index')) : ?> class="current-menu-item"<?php endif; ?>><a title="首页" href="<?php $this->options->siteUrl(); ?>" aria-current="page"><span class="menu-icon"><i class="iconfont icon-store"></i></span><span class="menu-text">网站首页</span></a></li>
       
    <li<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Good"): ?> class="current-menu-item"<?php endif; ?><?php endif; ?>><a title="优秀网站推荐" href="https://liehuo.cc/Goods/"><span class="menu-icon"><i class="iconfont icon-diamond"></i></span><span class="menu-text">好站推荐</span></a></li>
    
    <li<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "FocusInternet"): ?> class="current-menu-item"<?php endif; ?><?php endif; ?>><a title="焦点互联网" href="https://liehuo.cc/tag/FocusInternet/"><span class="menu-icon"><i class="iconfont icon-globe"></i></span><span class="menu-text">焦点互联网</span></a></li>
    
    <li<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Technology"): ?> class="current-menu-item"<?php endif; ?><?php endif; ?>><a title="技术相关" href="https://liehuo.cc/tag/Technology/"><span class="menu-icon"><i class="iconfont icon-tumblr"></i></span><span class="menu-text">技术相关</span></a></li>
    
    <li<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "WebDesign"): ?> class="current-menu-item"<?php endif; ?><?php endif; ?>><a title="经典网页设计" href="https://liehuo.cc/tag/WebDesign/"><span class="menu-icon"><i class="iconfont icon-like"></i></span><span class="menu-text">经典网页设计</span></a></li>
    
    <li<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Resource"): ?> class="current-menu-item"<?php endif; ?><?php endif; ?>><a title="优秀设计资源" href="https://liehuo.cc/tag/Resource/"><span class="menu-icon"><i class="iconfont icon-joystick-alt
"></i></span><span class="menu-text">优秀设计资源</span></a></li>
    
    <li<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Industrial"): ?> class="current-menu-item"<?php endif; ?><?php endif; ?>><a title="工业设计" href="https://liehuo.cc/tag/Industrial/"><span class="menu-icon"><i class="iconfont icon-wrench"></i></span><span class="menu-text">工业设计</span></a></li>
    
    <li<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Others"): ?> class="current-menu-item"<?php endif; ?><?php endif; ?>><a title="其它" href="https://liehuo.cc/tag/Others/"><span class="menu-icon"><i class="iconfont icon-snowflake"></i></span><span class="menu-text">其它</span></a></li>

      

       

      </ul>
     </div>
    </div>
   </aside>
    


  <header class="site-header bg-white" id="header">
    <nav class="navbar navbar-expand-lg">
     <div class="container"> 
      <a href="<?php $this->options->siteUrl(); ?>" class="navbar-brand" rel="home"> <img src="/Lighthouse/images/logo.png" class="logo nc-no-lazy" alt="<?php $this->options->title() ?>" /> </a>
      <div class="collapse navbar-collapse">
       <ul class="navbar-nav navbar-site me-auto ms-3 ms-xl-0">
           
      <li class="menu-item<?php if ($this->is('index')) : ?> current-menu-item<?php endif; ?>"><a href="https://liehuo.cc">首页</a></li>
      
      <li class="menu-item<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Good"): ?> current-menu-item<?php endif; ?><?php endif; ?>"><a href="https://liehuo.cc/Goods/">好站推荐</a></li>
      
     <li class="menu-item<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "FocusInternet"): ?> current-menu-item<?php endif; ?><?php endif; ?>"><a href="https://liehuo.cc/tag/FocusInternet/">互联网</a></li>
     <li class="menu-item<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Technology"): ?> current-menu-item<?php endif; ?><?php endif; ?>"><a href="https://liehuo.cc/tag/Technology/">技术相关</a></li>
     <li class="menu-item<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "WebDesign"): ?> current-menu-item<?php endif; ?><?php endif; ?>"><a href="https://liehuo.cc/tag/WebDesign/">经典网页</a></li>
     <li class="menu-item<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Resource"): ?> current-menu-item<?php endif; ?><?php endif; ?>"><a href="https://liehuo.cc/tag/Resource/">优秀资源</a></li>
     <li class="menu-item<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Industrial"): ?> current-menu-item<?php endif; ?><?php endif; ?>"><a href="https://liehuo.cc/tag/Industrial/">工业设计</a></li>
     
     <li class="d-none d-xl-block menu-item<?php if ($this->is('index')) : ?><?php else: ?><?php if($this->category == "Others"): ?> current-menu-item<?php endif; ?><?php endif; ?>"><a href="https://liehuo.cc/tag/Others/">其它</a></li>

       </ul>
      </div>
      
      <div class="d-flex align-items-center flex-shrink-0 ms-auto d-xl-none"> 
       <a href="javascript:;" class="btn btn-link btn-icon btn-rounded ms-3 ms-md-4" id="menuCollasped"><span><i class="iconfont icon-menu"></i></span></a>
      </div>
      
      <div class="d-flex align-items-center flex-shrink-0 ms-auto d-none d-xl-block"> 
       <a data-bs-toggle="modal" data-bs-target="#searchModal" class="btn btn-link btn-icon btn-rounded ms-3 ms-md-4"><span><i class="iconfont icon-search"></i></span></a>
      </div>
      
     </div>
    </nav>
   </header>

  <div class="modal fade" id="searchModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true"> 
   <div class="modal-dialog"> 
    <div class="modal-content"> 
     <div class="modal-header"> 
      <h5 class="modal-title" id="exampleModalLabel">站内搜索</h5> 
      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button> 
     </div> 
     <div class="modal-body mb-2"> 
      <form id="top-search" method="post" action="<?php $this->options->siteUrl(); ?>" role="search">
       <input type="text" name="s" class="form-control p-2" placeholder="请输入搜索关键词" />
      </form> 
     </div> 
    </div> 
   </div> 
  </div>
