<?php
/**
 * Lighthouse theme for Typecho
 *
 * @package Typecho Lighthouse Theme
 * @author TypechX Team
 * @version 1.2
 * @link https://typechx.com
 */

if (!defined('__TYPECHO_ROOT_DIR__')) exit;
$this->need('header.php');
?>

 <main class="site-main">
   <div class="container">
    <div class="archive-heading"> 
     <i class="iconfont icon-radio-circle"></i>
     <div class="h1">
      首页 <?php if ($this->_currentPage > 1) echo ' - 第 ' . $this->_currentPage . ' 页'; ?>
     </div>
    </div>
    <div class="row g-3 g-xl-4 list-grouped">
        <?php while($this->next()): ?><?php if($this->category != "Good"): ?>

        
     <div class="col-6 col-md-4 col-xl-3">
      <div class="list-item custom-hover block">
       <div class="media media-4x3 rounded">
        <div class="media-content" style="background-image: url('<?php if (array_key_exists('img',unserialize($this->___fields()))): ?><?php $this->fields->img(); ?><?php else: ?>https://img.liehuo.cc/<?php Fimg_Plugin::showfimg($this->cid,1);?><?php endif; ?>');"></div>
       </div>
       <div class="list-content">
        <div class="list-body">
         <div class="list-title h-2x">
           <?php $this->title() ?>
         </div>
        </div>
       </div> 
       <a href="<?php $this->permalink() ?>" title="<?php $this->title() ?>" class="list-goto"></a>
      </div>
     </div><?php endif; ?>
     <?php endwhile; ?>
     
     
    </div>
    <nav class="navigation pagination" aria-label="Posts Navigation"><h2 class="screen-reader-text">Posts Navigation</h2><div class="nav-links">
                        <?php $this->pageLink('<x class="me-3 btn btn-secondary btn-rounded">上一页</x>'); ?>
                <?php $this->pageLink('<x class="btn btn-primary btn-rounded">下一页</x>','next'); ?>
    </div></nav>
   </div>
  </main>

<?php $this->need('footer.php'); ?>
