<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<main class="site-main">
   <div class="container">
    <div class="post">
     <div class="post-heading text-md-center pt-lg-4 p-xl-3 pb-3 pb-xl-3 px-2 px-md-0">
      <h1 class="post-title"><?php $this->title() ?></h1>
      <div class="post-meta text-muted mt-2 mt-md-3">
       <?php $this->date(); ?>
       <i class="text-light mx-1">&middot;</i> 
       <?php $this->category(','); ?>
      </div>
     </div>
     <div class="card card-xl">
      <div class="card-body">
       <div class="post-content">
        <div class="nc-light-gallery">
         <?php $this->content(); ?>
        </div>
       </div>
       
      </div>
     </div>

     
<div class="post-related card card-xl mt-4 ">
      <div class="card-header">
       <div class="related-header">
        <div class="related-icon"></div>
        <div class="h4">
         相关文章
        </div>
       </div>
      </div>
      <div class="card-body">
       <div class="row g-2 g-lg-3 list-grouped list-overlay">
<?php $this->related(4)->to($relatedPosts); ?>
 <?php while ($relatedPosts->next()): ?>     
        <div class="col-6 col-md-3">
         <div class="list-item custom-hover rounded">
          <div class="media media-4x3">
           <div class="media-content" style="background-image: url('<?php if (array_key_exists('img',unserialize($relatedPosts->___fields()))): ?><?php $relatedPosts->fields->img(); ?><?php else: ?>https://img.liehuo.cc/<?php Fimg_Plugin::showfimg($relatedPosts->cid,1);?><?php endif; ?>');"></div>
          </div>
          <div class="list-content">
           <div class="list-body">
            <div class="list-title text-sm h-1x">
             <?php $relatedPosts->title(); ?>
            </div>
           </div>
          </div> 
          <a href="<?php $relatedPosts->permalink(); ?>" class="list-goto"></a>
         </div>
        </div>
         <?php endwhile; ?> 
       </div>
      </div>
     </div>

     
    </div>
   </div>
  </main>

<?php $this->need('footer.php'); ?>
